## cal-scripts 0.51

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	install -d $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(SHAREDIR)
	install -d $(DESTDIR)$(LIBDIR)
	install -d $(DESTDIR)$(ETCDIR)
	install -d $(DESTDIR)$(ETCDIR)/checkspace.d/
	install -d $(DESTDIR)$(ETCDIR)/checkserver.d/
	install -d $(DESTDIR)/etc/init.d/
	install -m755 checkspace       $(DESTDIR)$(SBINDIR)
	install -m644 checkspace.conf  $(DESTDIR)$(ETCDIR)
	install -m755 checkserver      $(DESTDIR)$(SBINDIR)
	install -m644 checkserver.conf $(DESTDIR)$(ETCDIR)
	cp -a checkspace.d/*           $(DESTDIR)$(ETCDIR)/checkspace.d/
	cp -a checkserver.d/*          $(DESTDIR)$(ETCDIR)/checkserver.d/
	install -m755 cal-scripts-firewall       $(DESTDIR)/etc/init.d/cal-scripts-firewall
	install -m755 slapdcheck       $(DESTDIR)$(SBINDIR)/slapdcheck
	install -m755 slapdtimeout     $(DESTDIR)$(SBINDIR)/slapdtimeout
	install -m755 check_cores      $(DESTDIR)$(SBINDIR)/check_cores
	install -m755 check_disks      $(DESTDIR)$(SBINDIR)/check_disks
	install -m755 check_ntp        $(DESTDIR)$(SBINDIR)/check_ntp
	install -m755 check_mail       $(DESTDIR)$(SBINDIR)/check_mail
	install -m755 check_ldap       $(DESTDIR)$(SBINDIR)/check_ldap
	install -m755 check_auth_ldap  $(DESTDIR)$(SBINDIR)/check_auth_ldap
	install -m755 gen-spatch       $(DESTDIR)$(BINDIR)/gen-spatch
	install -m755 slapdenv         $(DESTDIR)$(SHAREDIR)/slapdenv
	install -m755 slapdbackup      $(DESTDIR)$(SBINDIR)/slapdbackup
	install -m755 pgbackup         $(DESTDIR)$(SBINDIR)/pgbackup
	install -m755 tdiprint         $(DESTDIR)$(BINDIR)/tdiprint
	#install -m755 sysinfoupdate    $(DESTDIR)$(SBINDIR)/sysinfoupdate
	install -m755 amcleanlogs      $(DESTDIR)$(SBINDIR)/amcleanlogs
	install -m755 test_stab        $(DESTDIR)$(SBINDIR)/
	install -m755 test_cpubuild    $(DESTDIR)$(SBINDIR)/
	install -m644 config-*         $(DESTDIR)$(SHAREDIR)/
	install -m755 test_diff        $(DESTDIR)$(SBINDIR)/
	install -m755 test_newdisks    $(DESTDIR)$(SBINDIR)/
	install -m755 test_filldisk    $(DESTDIR)$(SBINDIR)/
	install -m755 test_fillbigdisk $(DESTDIR)$(SBINDIR)/
	install -m755 lba2file         $(DESTDIR)$(SBINDIR)/
	install -m755 tar-snapshot-edit $(DESTDIR)$(SBINDIR)/
	touch install-up-stamp


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack
