=== debian/changelog ===
cal-scripts (0.51) wheezy; urgency=low

  * check_disks: don't print anything if there is no disks to check,
    because of cron.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 29 Dec 2014 12:11:21 +0000

cal-scripts (0.50) wheezy; urgency=low

  * Remove 'set -x' flag from check_disks

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 15 Dec 2014 19:05:58 +0000

cal-scripts (0.49) wheezy; urgency=low

  * Change depends from schedutils to util-linux | schedutils.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 28 Oct 2014 12:40:19 +0000

cal-scripts (0.48) wheezy; urgency=low

  * remove from cron /usr/bin/apt-get -u dist-upgrade

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 28 Oct 2014 12:37:58 +0000

cal-scripts (0.47) wheezy; urgency=low

  * Rename firewall to cal-scripts-firewall on source

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:55:48 +0000

cal-scripts (0.46) wheezy; urgency=low

  * Implement dpkg-maintscript-helper to rename /etc/init.d/firewall to
    /etc/init.d/cal-scripts-firewall

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:04:50 +0000

cal-scripts (0.45) wheezy; urgency=low

  * Rename /etc/init.d/firewall to /etc/init.d/cal-scripts-firewall

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 14:51:05 +0000

cal-scripts (0.44) wheezy; urgency=low

  * Update Makefile to version 0.24.
  * Update name and email of Maintainer.
  * Remove sysinfoupdate.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 17 Jan 2014 19:56:17 +0000

cal-scripts (0.43) updates; urgency=low

  * On cron.d, stop running amcleanlogs Daily1.
  * update sysinfoupdate with version v0.9.12 from git repository.
  * fix a group of lintian warnings.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 25 May 2012 13:05:51 +0100

cal-scripts (0.42) updates; urgency=low

  * Update tar-snapshot-edit to version released in Aug 25, 2011.
  * Update Makefile to version 0.19~rc2

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 30 Apr 2012 19:14:00 +0100

cal-scripts (0.41) updates; urgency=low

  * added copyright and license notice to some scripts
  * correct function checkspace_afs_mail in checkspace to send to more
    than one email address
  * changed apt-get dselect-upgrade to apt-get dist-upgrade and add a
    random sleep
  * sysinfoupdate updated
  * Makefile updated
  * debian/rules updated
  * Experimental changes for init script firewall be complaint with Debian
    and LSB.  Includes support for dependency base boot.
  * Makefile updated to version 0.17, release updated to lenny.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 28 Jun 2011 18:49:27 +0100

cal-scripts (0.40) updates; urgency=low

  * new scripts for testing new machines.
  * lba2file: script that gives information about a LBA:
    - partition
    - logical sector
    - file afected
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Dec 2009 19:08:01 +0000

cal-scripts (0.39) updates; urgency=low

  * checkspace_afs_mail: allow multiple destinations

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 28 May 2009 14:53:56 +0100

cal-scripts (0.38) updates; urgency=low

  * added depends on ntpdate.
  * added full path to sendmail.
  * added depends on mail-transport-agent.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 May 2009 13:38:48 +0100

cal-scripts (0.37) updates; urgency=low

  * adicionadas unidades nas mensagens sobre testes de espaço livre em
    disco.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 25 Mar 2009 20:06:37 +0000

cal-scripts (0.36) updates; urgency=low

  * added:
    - checkspace_afs: check free space on a afs directory
    - checkspace_afs_mail: check free space and send an email

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 24 Mar 2009 21:02:23 +0000

cal-scripts (0.35) updates; urgency=low

  * added tar-snapshot-edit for changing the dev field of a
    listed-incremental file, used by tar to implement incremental backups.
    This happens with NFS, AFS and LVM volumes that change device numbers
    between reboots.

 -- Jose Manuel dos Santos Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 29 Jul 2008 00:46:37 +0100

cal-scripts (0.34) updates; urgency=low

  * amcleanlogs: don't show what directories are baing cleaned for a
    better interaction with cron.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed,  2 Apr 2008 19:58:03 +0100

cal-scripts (0.33) updates; urgency=low

  * slapdenv: is arch all so should be inside /usr/share and not /usr/lib
  * small changes on Makefile

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu,  3 Jan 2008 16:39:46 +0000

cal-scripts (0.32) updates; urgency=low

  * slapdenv: was being installed on the wrong path because a missing
    slash

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu,  3 Jan 2008 16:11:41 +0000

cal-scripts (0.31) updates; urgency=high

  * cron.d/cal-scripts: solved another problem, this time with day of week

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 28 Dec 2007 17:22:37 +0000

cal-scripts (0.30) updates; urgency=high

  * cron.d/cal-scripts: correted bad hour to run amcleanlogs, this disable
    allmost all cron jobs from this package
  * Makefile: modernized to have variable SOURCENAME and others things
  * Makefile: automatically add files to subversion during tag target

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 22 Dec 2007 23:25:57 +0000

cal-scripts (0.29) updates; urgency=low

  * db_dumps: _experimental_ script todo export of many databases that
    can exist on a Debian server
  * many updates to sysinfoupdate
  * amcleanlogs: clean logs from amanda

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 16 Dec 2007 19:09:39 +0000

cal-scripts (0.28) updates; urgency=low

  * check_disks: added to the PATH the sbin directories because when
    running by cron the PATH variable is minimal


