=== debian/changelog ===
cal-scripts (0.52) stretch; urgency=low

  * New release just for stretch.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 14 Nov 2017 21:04:57 +0000
