## cal-scripts 0.63

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2014,2017 Instituto Superior Técnico
-# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+# Copyrigth: 2005-2014,2017-2023 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.28
+# "based" on template Makefile for most debian packages version 0.30
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,6 @@
 else
 NATIVE=0
 endif
-MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -39,17 +38,17 @@
 TARFILE=file-$(VER).tar.gz
 TARDIR=untar/$(PACKNAME)-$(VER)
 ifeq ($(NATIVE),0)
-DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
 
 
 all:
-	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
+	echo $(VER) $(DEBVER) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
@@ -202,7 +201,7 @@
 		$(SOURCENAME)_$(DEBVER).dsc \
 		*_$(DEBVER)_*.deb \
 		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
+	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange -i "New release"'
 
 
 .PHONY: build clean binary-indep binary-arch binary install configure unpack
