=== debian/changelog ===
cal-scripts (0.63) bookworm; urgency=medium

  * ntp was replaced by ntpsec, updating depends.
  * Drop recommends on old python.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Mon, 25 Aug 2025 20:47:54 +0100

cal-scripts (0.62) bookworm; urgency=medium

  * Another update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 27 Sep 2023 12:18:24 +0100

cal-scripts (0.61) bookworm; urgency=medium

  * Another update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 27 Sep 2023 12:11:20 +0100

cal-scripts (0.60) bookworm; urgency=medium

  * Experimental update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Thu, 17 Aug 2023 19:11:23 +0100

cal-scripts (0.59) buster; urgency=medium

  * Previous release was a litle broken.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 31 Aug 2021 14:54:42 +0100

cal-scripts (0.58) buster; urgency=medium

  * Fix a typo that broke check_auth_ldap for many tests

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 31 Aug 2021 14:52:47 +0100

cal-scripts (0.57) buster; urgency=medium

  * Fix check_ntp for good, I think.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 08 Jun 2021 09:05:31 +0100

cal-scripts (0.56) buster; urgency=medium

  * New release
  * Fix field number in check_ntp.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 May 2021 18:38:28 +0100

cal-scripts (0.55) buster; urgency=medium

  * Update email address of maintainer.
  * Bump compat to 10, no other changes were made.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Mon, 03 May 2021 22:35:51 +0100

cal-scripts (0.54) buster; urgency=medium

  * Really fix a change in syntax of bulsseye bc.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 03 May 2021 22:04:19 +0100

cal-scripts (0.53) buster; urgency=medium

  * Fix a change in syntax of bulsseye bc.
  * Update Makefile and upload to v0.29.
  * Fix email of Maintainer in changelog.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 03 May 2021 21:38:10 +0100
