=== debian/control ===
Source: cal-scripts
Section: admin
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.6.1

Package: cal-scripts
Architecture: all
Pre-Depends: dpkg (>= 1.16.12)
Depends: fping, bc, liblockfile1, gawk, dash,
 util-linux | schedutils, 
 perl,
 ntpdate | ntpsec-ntpdate,
 mail-transport-agent | exim4, 
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Recommends: 
Suggests: expect, liblockfile-dev
Description: Scripts que ajudam a gerir e a manter uma maquina Linux
 .
 checkspace.sh - Verifica se as directorias criticas têm espaço livre
 suficiente.  
 .
 firewall - Init.d script para lançar e parar a firewall
 .
 slapdbackup - Faz backup de um servidor slapd
 .
 slapdcheck - Verifica se o servidor ldap está a correr e tenta
 recuperar o servidor em caso de erro
 .
 pgbackup - Realiza o backup das base de dados do postgres
 .
 tar-snapshot-edit - utility from GNU to change the device number
 inside listed-incremental files used by tar.  Needed because device
 numbers can change between reboots, not needed for new GNU tar
 .
 Instala um crontab para realizar diversas tarefas de manutenção
 periodicamente
